Retrieves the equipment_model object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

equipment_model
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

name

Name of the equipment model

string

Required

Max length: 50

description

Description of the equipment model

string
equipment_brand_id

FK Of Equipment brand

globally unique identifier
equipment_brand_code

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

string
equipment_brand

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

equipment_brand
equipment_family_id

FK Of equipment_family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

string
equipment_family

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

equipment_family
date_in_production_since

Date in production since

date
date_out_of_production_since

Date Out Of production since

date
date_end_support

Date end support

date
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model

string
sales_organization

Embedded entity "sales_organization" when adding/updating equipment_model

sales_organization
replacement_period_nb_months

replacement_period_nb_months

integer
warranty_period_nb_months

warranty_period_nb_months

integer
translations

List of translation of specific field name

Collection of translation
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "a6170189-75c4-4e6e-9dbf-91d7d1e40bbe",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "equipment_brand_id": "44e50c82-b063-4fcb-ab61-a9fccc91139a",
  "equipment_brand_code": "sample string 6",
  "equipment_brand": {
    "id": "2ef4c232-0008-4db3-97fb-e52ac8b898d6",
    "name": "sample string 2",
    "code": "sample string 3",
    "sales_organization_id": "154fef62-4ec4-4e97-86c9-11eb7ff30830",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "39b2eff6-06cd-42ad-aede-afc592cb0b2f",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "1ed7ba48-c4d4-4b01-bfc7-6ae59ea81769",
      "db_currency_id": "8760209f-1513-43d8-ae89-69612b7ee084",
      "db_language_id": "5fd25dd4-fbd4-4647-a819-486953188958",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-10T17:51:13.0044273+00:00"
    },
    "modified_dateutc": "2026-11-10T17:51:13.0044273+00:00"
  },
  "equipment_family_id": "880e64b2-5e66-4ed7-8d6d-bb19f720fd55",
  "equipment_family_code": "sample string 8",
  "equipment_family": {
    "id": "14a88dba-d6ac-4447-b53f-e04c52812a5a",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "c1b41209-fe0b-461e-a032-adb045dc83c7",
    "_parent_code": "sample string 6",
    "sales_organization_id": "601cda6f-673b-4df4-b4af-8235f53d6a94",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "39b2eff6-06cd-42ad-aede-afc592cb0b2f",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "1ed7ba48-c4d4-4b01-bfc7-6ae59ea81769",
      "db_currency_id": "8760209f-1513-43d8-ae89-69612b7ee084",
      "db_language_id": "5fd25dd4-fbd4-4647-a819-486953188958",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-10T17:51:13.0044273+00:00"
    },
    "modified_dateutc": "2026-11-10T17:51:13.0044273+00:00"
  },
  "date_in_production_since": "2026-11-10T17:51:13.0044273+00:00",
  "date_out_of_production_since": "2026-11-10T17:51:13.0044273+00:00",
  "date_end_support": "2026-11-10T17:51:13.0044273+00:00",
  "sales_organization_id": "d3a9f266-6f71-48f8-b30b-83e69ea3babb",
  "sales_organization_code": "sample string 13",
  "sales_organization": {
    "id": "39b2eff6-06cd-42ad-aede-afc592cb0b2f",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "1ed7ba48-c4d4-4b01-bfc7-6ae59ea81769",
    "db_currency_id": "8760209f-1513-43d8-ae89-69612b7ee084",
    "db_language_id": "5fd25dd4-fbd4-4647-a819-486953188958",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-11-10T17:51:13.0044273+00:00"
  },
  "replacement_period_nb_months": 14,
  "warranty_period_nb_months": 15,
  "translations": [
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    },
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    }
  ],
  "modified_dateutc": "2026-11-10T17:51:13.0216133+00:00"
}